import net.sf.saxon.s9api.*;
import javax.xml.transform.sax.SAXSource;
import javax.xml.transform.stream.StreamSource;

import java.io.*;

class Test {
    public static void main(String [] args) throws SaxonApiException {
        Processor processor = new Processor(false);
        XsltCompiler compiler = processor.newXsltCompiler();
        Xslt30Transformer transformer = compiler.compile(new StreamSource(new File("test.xsl"))).load30();
        StreamSource source = new StreamSource(new StringReader("<a>b</a>"));
        XdmValue xdmValue = transformer.applyTemplates(source);
        System.out.println(xdmValue.toString());
    }
}
